<template>
  <mt-modal :ouvert.sync="ouvert" @close="close">
    <section class="mt-modal-align-center">
      <p class="mt-modal-message">
        Êtes-vous certain(e) de vouloir quitter la page ?<br />
        Toutes les informations saisies seront perdues.
      </p>
      <article class="field is-grouped is-grouped-centered">
        <p class="control">
          <b-button
            class="mt-button is-size-8 has-text-weight-semibold"
            type="is-secondary"
            native-type="button"
            @click="close"
          >
            Poursuivre
          </b-button>
        </p>
        <p class="control">
          <b-button
            class="mt-button is-size-8 has-text-weight-semibold"
            type="is-primary"
            native-type="button"
            @click="validerAction"
          >
            Quitter
          </b-button>
        </p>
      </article>
    </section>
  </mt-modal>
</template>

<script>
import MtModal from '~/components/modal/mt-modal';

export default {
  name: 'MtModalPoursuivreQuitter',
  components: {
    MtModal,
  },
  props: {
    ouvert: {
      type: Boolean,
      default: false,
      required: true,
    },
    linkTo: {
      type: Object,
      default: () => ({ name: 'index' }),
    },
  },
  methods: {
    close() {
      this.$emit('update:ouvert', false);
    },
    validerAction() {
      this.close();
      this.$router.push(this.linkTo);
    },
  },
};
</script>

<style scoped lang="scss"></style>
